using ImageMagick;
using Ocr.Tesseract.Extensions;

namespace Ocr.Tesseract.Screenshots;

public class NormalizeProcessor : SingleImageProcessor
{
  /// <inheritdoc />
  protected override MagickImage Process(MagickImage image) => image
    .NormalizeImage()
    .RemoveAlpha(MagickColors.White)
    .ToGrayscale();
}